//////////////////////////////////////////
// TestCanvas.cpp
//Copyright (c) 08/23/2022 by ECCSkelton
//////////////////////////////////////////
#include	"TestCanvas.h"
//☆ユーザーヘッダーファイルを入れる
#include	"User.h"
#include	"TestCanvasProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI wWinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPWSTR lpCmdLine, int nCmdShow) {

	//２重起動防止
	if(!TestCanvas.IsOnlyOne()) {
		HWND hWnd = FindWindowW(L"MainWnd", L"TestCanvas");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//ウィンドウ登録 − Init(ClassName, hInstance, WndProc, "IDM_MAIN",
	//						（以下省略可）"IDI_ICON", IDC_ARROW, Brush)
	TestCanvas.Init(L"MainWnd", hInstance, L"IDM_MAIN", L"IDI_ICON");

	//ウィンドウ作成と表示−Create(WindowTitle, (以下省略可）Style,
	//						ExStyle, hParent, hMenu, x, y, w, h)
	if(!TestCanvas.Create(L"TestCanvas"))
		return 0L;

	//アクセラレーター登録−InclAccel("(Accelerator ID)")
	TestCanvas.InclAccel(L"IDA_ACCEL");

	//メッセージループに入る
	return TestCanvas.Loop();
}
